Introducing the Chargebee CLI

Create a collections payment promise

Creates a collections payment promise for a customer, with the promised amount and the date payment was promised. Include invoice_id when the promise applies to a specific invoice.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/collections_payment_promises

Input Parameters

customer_id
required, string, max chars=100

Identifier of the customer for whom the payment promise is being created. This field is required.

invoice_id
optional, string, max chars=100

Identifier of the invoice associated with this promise. This field is optional.

amount
required, long

Amount promised by the customer, in the smallest currency unit (for example, cents for USD). This field is required.

currency_code
optional, string, max chars=3

Currency code for amount in ISO 4217 format. If omitted, the site's base currency is used.

promised_on
required, timestamp(UTC) in seconds

Timestamp in UTC seconds for the date on which the customer promised payment. This field is required.

reason
optional, string, max chars=500

Optional context about why or how this promise was recorded.

promised_by
optional, string, max chars=254

Name or identifier of the person who captured this promise.

Returns

Collections payment promise object

The newly created collections_payment_promise resource.